---
url: "https://vueda.dev/v3/reference/api/rest/vueda.workflow/vueda.workflow_workflows_execute_transition_partial_update.md"
title: "Execute bulk transition"
---

# Execute bulk transition

## Overview

Execute an available transition for multiple objects.

## Signature

`PATCH /vueda.workflow/workflows/{app_label}/{model}/execute-transition/`

### Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| app_label | `string` | yes |  |
| model | `string` | yes |  |
| f | `string[]` | no | Selects a sparse subset of fields to include in the response. |
| body | `BulkExecuteTransitionRequest` | yes |  |

### Returns

`map<string, TransitionResult>`

## Responses

### `200 OK` {#200}

Returns `map<string, TransitionResult>`

### `400 Bad Request` {#400}

Returns `map<string, object>`

### `403 Forbidden` {#403}

Returns [WorkflowError](/v3/reference/api/rest/schemas/WorkflowError.md)

### `404 Not Found` {#404}

Returns [WorkflowError](/v3/reference/api/rest/schemas/WorkflowError.md)
